Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class WidgetBoxLayoutManager

    java.lang.Object
      edu.stanford.smi.protegex.widget.contains.WidgetBoxLayoutManager

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  HorizontalWidgetBoxLayoutManager, VerticalWidgetBoxLayoutManager

    public abstract class WidgetBoxLayoutManager

extends Object
implements LayoutManager

Description of the Class

Author:
  William Grosso

Field Summary
`protected WidgetBox` | `_currentContainer`
`protected JScrollPane` | `_outsideScrollPane`
`protected Container` | `_parentComponent`
`protected Dimension` | `_widgetBoxSize`
`protected LinkedList` | `_widgetSeparators`

Constructor Summary
`WidgetBoxLayoutManager()`

Method Summary
`protected abstract void` | `actuallyAddWrappers()`
`void` | `addLayoutComponent(String name, Component comp)`
`protected abstract void` | `adjustBoxSizeForScrollPane()`
`void` | `layoutContainer(Container parent)`
`protected abstract void` | `makeFirstPassAtBoxDimensions()`
`Dimension` | `minimumLayoutSize(Container parent)`
`Dimension` | `preferredLayoutSize(Container parent)`
`void` | `removeLayoutComponent(Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _currentContainer

    protected WidgetBox _currentContainer

### _outsideScrollPane

    protected JScrollPane _outsideScrollPane

### _parentComponent

    protected Container _parentComponent

### _widgetSeparators

    protected LinkedList _widgetSeparators

### _widgetBoxSize

    protected Dimension _widgetBoxSize

Constructor Detail

### WidgetBoxLayoutManager

    public WidgetBoxLayoutManager()

Method Detail

### actuallyAddWrappers

    protected abstract void actuallyAddWrappers()

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### adjustBoxSizeForScrollPane

    protected abstract void adjustBoxSizeForScrollPane()

### layoutContainer

    public void layoutContainer(Container parent)

  Specified by:
    `layoutContainer` in interface `LayoutManager`

### makeFirstPassAtBoxDimensions

    protected abstract void makeFirstPassAtBoxDimensions()

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request